Bug 1377336 (CVE-2016-7414) - CVE-2016-7414 php: Out of bounds heap read when verifying signature of zip phar in phar_parse_zipfile
Summary: CVE-2016-7414 php: Out of bounds heap read when verifying signature of zip ph...
Status: CLOSED WONTFIX
Alias: CVE-2016-7414
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160823,repor...
Keywords: Security
Depends On: 1377366 1554899
Blocks: 1377365
TreeView+ depends on / blocked
 
Reported: 2016-09-19 13:04 UTC by Adam Mariš
Modified: 2019-06-08 21:27 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-10-13 11:27:17 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1296 None None None 2018-05-03 05:05 UTC

Description Adam Mariš 2016-09-19 13:04:07 UTC
An out-of-bounds heap read was found in phar_parse_zipfile due to not checking entry.uncompressed_filesize.

Upstream bug:

https://bugs.php.net/bug.php?id=72928

Upstream patch:

https://github.com/php/php-src/commit/0bfb970f43acd1e81d11be1154805f86655f15d5?w=1

CVE assignment:

http://seclists.org/oss-sec/2016/q3/518

Comment 1 Adam Mariš 2016-09-19 13:37:36 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1377366]

Comment 2 Huzaifa S. Sidhpurwala 2016-10-12 09:22:39 UTC
Analysis:

When a malicious phar file is read by phar_parse_zipfile() it results in a OOB read and crash.

Comment 4 errata-xmlrpc 2018-05-03 05:05:05 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS

Via RHSA-2018:1296 https://access.redhat.com/errata/RHSA-2018:1296


Note You need to log in before you can comment on or make changes to this bug.